Skip to main content
GET
/
api
/
v1
/
logs
/
actions
/
{type}
/
{uuid}
Get full detail for a single action execution
curl --request GET \
  --url https://{subdomain}.mihu.ai/api/v1/logs/actions/{type}/{uuid} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{subdomain}.mihu.ai/api/v1/logs/actions/{type}/{uuid}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{subdomain}.mihu.ai/api/v1/logs/actions/{type}/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "message": "<string>",
  "data": {
    "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "description": "<string>",
    "status": "<string>",
    "channel": "<string>",
    "duration_ms": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "agent": {
      "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    },
    "contact": {
      "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "phone_number": "<string>"
    },
    "customer": {
      "number": "<string>"
    },
    "request": {},
    "response": {},
    "error": "<string>",
    "extras": {}
  }
}

Authorizations

Authorization
string
header
required

Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"

Path Parameters

type
enum<string>
required

Execution type.

Available options:
task,
workflow,
intent
uuid
string<uuid>
required

UUID of the execution row, taken from the list endpoint's uuid field.

Response

Action detail retrieved

success
boolean
message
string
data
object